<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>Linda - A Debian package checker written in Python</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">(I am the author of Linda, and therefore, the best person to speak about her.)<br />
<br />
Linda is, simply put a Debian package checker written in Python. It has a modular architecture, fully supports localisation using gettext, and is (in my eyes) fairly easy to extend.<br />
<br />
* The humble beginnings<br />
<br />
The reason I started writing Linda was the culimination of several events:<br />
1) At the time, Lintian was unmaintained and, I felt, unmaintainable.<br />
2) I wanted to learn Python.<br />
3) I have an utterly unhealthy interest in Debian Policy<br />
<br />
* Development history of Linda.<br />
<br />
* In-depth features of Linda 0.3:<br />
<br />
Firstly, I'll start with the features that were introduced with Linda 0.3.<br />
<br />
- A test suite<br />
<br />
        I *know* a test suite is a good idea, and I have lost count of the number of stupid bugs this has stopped me putting into a released version of Linda.<br />
        The other side of the coin is that if I can't think of a situation, I can't test for it, which has happened a few times.<br />
<br />
- Actual localisation of the error messages.<br />
<br />
        Tried running LANG=de_DE linda &lt;pkg&gt; ? German is the most complete translation of warning and error messages that Linda has. Admitedly, there are a few issues with getting translators to work their magic on just over 500 strings.<br />
<br />
* What can you do to help?<br />
<br />
In order of how much I will praise you and your skills in the changelog:<br />
<br />
Translations! Nothing makes my day like recieving an e-mail that teaches Linda a new language, or corrects her language skills.<br />
<br />
Write patches! I have *never* recieved a patch for Linda that changes something non-trivial, and I would *love* to recieve such a patch via a bug report.<br />
<br />
Test, and test and test some more. Another thing that makes my day is getting a well thought out bug report that points out where in the code a bug is hiding, and what I can do to reproduce said bug, and most importantly, *what package you pointed her at*, and which version.<br />
<br />
Compliment me or thank me on IRC. You have no idea how much of an ego boost it is to hear about how people use Linda, a tool that I wasn't even sure that I was going to upload or tell people about gives me.<br />
<br />
* HOWTOs:<br />
<br />
- How to write a test for Linda, in real-time.<br />
<br />
- Mention the lack of documentation, and how people can help.<br />
<br />
* What is up and coming?<br />
<br />
At the moment, I have no hard and fast ideas for Linda 0.4.0. <br />
<br />
About the only idea I am mulling over at the moment is using a lexer for parsing RFC822-style files, but that remains a pipe dream.<br />
<br />
The other idea is profiling the hell out of Linda, and rewriting parts in C, since I would like to learn how to write Python modules in C.<br />
<br />
[ This abstract is nowhere near complete. I will attempt to expand this out to a 45 minute talk, but this will have to do for the moment.] <br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>Talk (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Technical</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Accepted</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>Steve Kowalik</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

<li><p><a href="file/linda-paper.tex">linda-paper.tex</a> (7.341796875
  K)<br /> 
  PDF LaTeX paper for Linda talk</p>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

